DtMmdbBookCaseGetInfo(library call)

NAME
DtMmdbBookCaseGetInfo — obtains information about a bookcase

SYNOPSIS

#include &<DtMmdb.h>
DtMmdbBookCaseInfo* DtMmdbBookCaseGetInfo(
int bookcase_descriptor);

DESCRIPTION

The DtMmdbBookCaseGetInfo function returns a structure containing information about the specified bookcase.

ARGUMENTS

bookcase_descriptor
    Specifies the descriptor for the bookcase.

RETURN VALUE

If DtMmdbBookCaseGetInfo completes successfully, it return the information structure for the bookcase. If it fails, it returns NULL.

EXAMPLE

The following shows how a DtMmdbBookCaseGetInfo call might be coded.

int i;
DtMmdbInfoLib* infolibInfo = DtMmdbInfoLibGetInfo(0);
DtMmdbBookCaseInfo* x;
for (i=0; i&<infolibInfo->num_bookcases; i++)
{
  x = DtMmdbBookCaseGetInfo(i);
  /* make use of x */
}

SEE ALSO

DtMmdbBookCaseFreeInfo(3), DtMmdbBookCaseGetInfo(3)